Main Page Widgets Namespaces Book

# Gtk::StockID Class Reference

List of all members.

## Detailed Description

See also Gtk::BuiltinStockID.

## Public Member Functions

bool | equal (const StockID& rhs) const
const char* | get_c_str () const
Glib::ustring | get_string () const
| operator bool () const
| Tests whether the StockID is not empty.
StockID& | operator= (const StockID& other)
| StockID (const StockID& other)
| StockID (const char* id)
| StockID (const Glib::ustring& id)
| StockID (const BuiltinStockID& id)
| StockID ()
| ~StockID ()

## Protected Attributes

Glib::ustring | id_

## Related Functions

(Note that these are not member functions.)
bool | operator!= (const StockID& lhs, const StockID& rhs)
bool | operator== (const StockID& lhs, const StockID& rhs)

## Constructor & Destructor Documentation

Gtk::StockID::StockID | ( |  | ) |

Gtk::StockID::StockID | ( | const BuiltinStockID& | id | ) |

Gtk::StockID::StockID | ( | const Glib::ustring & | id | ) | `[explicit]`

Gtk::StockID::StockID | ( | const char * | id | ) | `[explicit]`

Gtk::StockID::~StockID | ( |  | ) |

Gtk::StockID::StockID | ( | const StockID& | other | ) |

## Member Function Documentation

bool Gtk::StockID::equal | ( | const StockID& | rhs | ) | const

Referenced by operator!=(), and operator==().

const char* Gtk::StockID::get_c_str | ( |  | ) | const

Glib::ustring Gtk::StockID::get_string | ( |  | ) | const

Gtk::StockID::operator bool | ( |  | ) | const

Tests whether the StockID is not empty.

StockID& Gtk::StockID::operator= | ( | const StockID& | other | ) |

## Friends And Related Function Documentation

bool operator!= | ( | const StockID& | lhs,
|  | const StockID& | rhs |
| ) |  |  | `[related]`

References equal().

bool operator== | ( | const StockID& | lhs,
|  | const StockID& | rhs |
| ) |  |  | `[related]`

References equal().

## Member Data Documentation

Glib::ustring Gtk::StockID::id_`[protected]`

The documentation for this class was generated from the following file:

- stockid.h